/*
===============
=== BUTTONS ===
===============
*/

.btn-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: var(--spacing-sm);
}

input[type="submit"],
input[type="reset"],
input[type="button"],
button,
.btn {
    display: inline-block;
    font-family: var(--font-btn);
    font-size: var(--font-btn-size);
    font-weight: var(--font-btn-weight);
    padding: 1rem 1.5rem;
    margin: var(--spacing-sm) 0;
    border: none;
    border-radius: 3px;
    color: var(--btn-text-color);
    background-color: var(--btn-bg);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.5), 0 2px 10px rgba(0, 0, 0, 0.5);
    text-shadow: var(--btn-text-shadow);
    text-decoration: none !important;
    text-transform: uppercase;
    text-align: center;
    white-space: nowrap;
    transition: all 0.3s ease;
    cursor: pointer;
    user-select: none;
}

input[type="submit"]:hover,
input[type="reset"]:hover,
input[type="button"]:hover,
button:hover,
.btn:hover {
    color: var(--btn-hover-text-color);
    background-color: var(--btn-hover-bg);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.5), 0 0 5px rgba(0, 0, 0, 0.25);
    text-shadow: var(--btn-hover-text-shadow);
}

input[type="submit"]:disabled,
input[type="reset"]:disabled,
input[type="button"]:disabled,
button:disabled,
.btn:disabled,
.btn.disabled {
    color: var(--btn-disabled-text-color) !important;
    text-shadow: var(--btn-disabled-text-shadow) !important;
    background-color: var(--neutral-400) !important;
    box-shadow: var(--btn-disabled-shadow) !important;
    cursor: not-allowed !important;
    pointer-events: stroke !important;
}